%define	pname	ocilib
%define	soname	3
Name:		lib%{pname}%{soname}
Version:	3.9.1
Release:	2.2
Group:		System/Libraries
Summary:	Oracle Driver
Source:		%{pname}-%{version}-gnu.tar.bz2
License:	GPL
BuildRoot:	%{_tmppath}/%{pname}-%{version}-root
BuildRequires:	gcc-c++
BuildRequires:	oracle-instantclient-sqlplus oracle-instantclient-devel oracle-instantclient-config

%description
OCILIB is an open source and cross platform Oracle Driver that delivers really fast  and reliable access to Oracle databases.

%package -n lib%{pname}-devel
Group:		Development/Libraries
Summary:	Oracle Driver devel files

%description -n lib%{pname}-devel
Development headers and librarys of ocilib.

%prep
%setup -n %{pname}-%{version}

%build
export CFLAGS=`oracle-instantclient-config --cflags`
export LDFLAGS=`oracle-instantclient-config --libs`
export ORACLE_HOME=%{_libdir}/oracle/`oracle-instantclient-config --version`
#--with-oracle-home=Location of Oracle Installation.
#--with-oracle-headers-path=Location of OCI public headers.
#--with-oracle-lib-path=Location of OCI shared library.
#--with-custom-loader=Custom loader flag.
./configure --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --localstatedir=/var \
 --sysconfdir=%{_sysconfdir} \
 --with-oracle-headers-path=$ORACLE_HOME/client \
 --with-oracle-lib-path=$ORACLE_HOME/client/lib

%__make

%install
%__make DESTDIR=%{buildroot} install
rm -Rf %{buildroot}%{_datadir}/doc
chmod -x doc/html/*
rm doc/html/Makefile*

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc demo doc/html
%{_libdir}/libocilib.so.%{version}

%files -n lib%{pname}-devel
%defattr(-,root,root)
%{_includedir}/ocilib.h
%{_libdir}/libocilib.a
%{_libdir}/libocilib.la
%{_libdir}/libocilib.so
%{_libdir}/libocilib.so.3


%changelog
* Sat Jul  9 2011 cs@linux-administrator.com
- Update to version 3.9.1
